## org.mariadb.jdbc.internal.failover.thread
Class FailoverLoop

    java.lang.Object
      org.mariadb.jdbc.internal.failover.thread.TerminableRunnable
          org.mariadb.jdbc.internal.failover.thread.FailoverLoop

All Implemented Interfaces:
  Runnable

    public class FailoverLoop

extends TerminableRunnable

Constructor Summary
`FailoverLoop(ScheduledExecutorService scheduler)`

Method Summary
`static void` `addListener(Listener listener)`
`protected void` `doRun()`
`static void` `removeListener(Listener listener)`

Methods inherited from class org.mariadb.jdbc.internal.failover.thread.TerminableRunnable
`blockTillTerminated, isUnschedule, run, unscheduleTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FailoverLoop

    public FailoverLoop(ScheduledExecutorService scheduler)

Method Detail

### addListener

    public static void addListener(Listener listener)

### removeListener

    public static void removeListener(Listener listener)

### doRun

    protected void doRun()

  Specified by:
    `doRun` in class `TerminableRunnable`

Copyright © 2017. All rights reserved.